// Operatori de extractie, insertie
#include <iostream>
#include <string>
using namespace std;

class Intreg {
public:
	Intreg() : n {0}
	{}
	Intreg(int n) : n {n}
	{}
	
	// Operatori unari
	// Operator de incrementare prefixata 
	Intreg& operator ++ ()
	{
		n++;
		return *this;
	}

	// Operator de incrementare sufixata (postfixata)
	Intreg operator ++ (int)
	{
		Intreg aux(*this);
		n++;
		return aux;
	}
	
	friend ostream& operator << (ostream& os, const Intreg& ob);
	friend istream& operator >> (istream& is, Intreg& ob);
private:
	int n;
	QLabel* label;
};
	
istream& operator >> (istream& is, Intreg& ob)
{
	return is >> ob.n;
}

ostream& operator << (ostream& os, const Intreg& ob)
{
	return os << ob.n; // ostream& operator << (ostream& os, int);
}

int main()
{
	Intreg a(100);
	
	
	cout << a++;  // a.operator++(int)
	cout << '\n';
	cout << a;
	
}
