/* Supraincarcarea Operatorilor
 * Operator Overloading
 */

#include <iostream>
// Operatori binari logici

class Intreg {
public:
	Intreg() : n {0}
	{}
	Intreg(int n) : n {n}
	{}
	
	int GetN() const
	{
		return n;
	}
	
	bool operator < (const Intreg& a) const
	{
		return n < a.n;
	}
private:
	int n;
};

int main()
{
	Intreg a(10), b(20);
	
	if (a < b)       // a.operator < (b)
		std::cout << "a < b";
		
	if (a.operator < (b))
		std::cout << "a < b";
		
}
