// Operatori de extractie, insertie
#include <iostream>
#include <string>
using namespace std;

class Intreg {
public:
	Intreg() : n {0}
	{}
	Intreg(int n) : n {n}
	{}
	
	int GetN() const
	{
		return n;
	}
	
	// Operator de insertie
	friend ostream& operator << (ostream& os, const Intreg& ob);
private:
	int n;
};


ostream& operator << (ostream& os, const Intreg& ob)
{
	return os << ob.n; // ostream& operator << (ostream& os, int);
}

int main()
{
		Intreg a(10), b(20);
		
		cout << a; // operator << (cout, a)
		
		
		cout << a << b;   // operator << (operator << (cout, a), b))
}
