// Operatori de extractie, insertie
#include <iostream>
#include <string>
using namespace std;

class Intreg {
public:
	Intreg() : n {0}
	{}
	Intreg(int n) : n {n}
	{}
	
	// Operator de insertie
	friend ostream& operator << (ostream& os, const Intreg& ob);
	
	// Operator de extractie
	friend istream& operator >> (istream& is, Intreg& ob);
private:
	int n;
};
	
istream& operator >> (istream& is, Intreg& ob)
{
	return is >> ob.n;
}

ostream& operator << (ostream& os, const Intreg& ob)
{
	return os << ob.n; // ostream& operator << (ostream& os, int);
}

int main()
{
	Intreg a;
	
	cin >> a;  // operator >> (cin, a);
	cout << a; // operator << (cout, a)
}
