// Operatori de extractie, insertie
#include <iostream>
#include <string>
using namespace std;

class Intreg {
public:
	Intreg() : n {0}
	{}
	Intreg(int n) : n {n}
	{}
	
	// Operatori unari
/*	Intreg operator - ()
	{
		Intreg aux(*this);
		aux.n = -aux.n;
		return aux;
	}
*/	
	Intreg operator - ()
	{
		return Intreg(-this->n);
	}


	friend ostream& operator << (ostream& os, const Intreg& ob);
	friend istream& operator >> (istream& is, Intreg& ob);
private:
	int n;
};
	
istream& operator >> (istream& is, Intreg& ob)
{
	return is >> ob.n;
}

ostream& operator << (ostream& os, const Intreg& ob)
{
	return os << ob.n; // ostream& operator << (ostream& os, int);
}

int main()
{
	Intreg a, b(10);
	
	cin >> a; 
	
	a = -b;
	
	cout << a;
}
