/* Supraincarcarea Operatorilor
 * Operator Overloading
 */

#include <iostream>

// Operatori binari aritmetici

class Intreg {
public:
	Intreg() : n {0}
	{}
	Intreg(int n) : n {n}
	{}
	
	int GetN() const
	{
		return n;
	}
	
	Intreg operator + (const Intreg& a) const
	{
		return Intreg(n + a.n);
	}
private:
	int n;
};


int main()
{
	Intreg a(10), b(20);
	
	Intreg c = a + b; // Intreg c = a.operator+ (b)
	
	std::cout << c.GetN();
	
}
